--Author PaKettle@Ymail.com 
-- March 2017
-- this is the course system and sector data for display

function PR.SectorDataCollection(RoidTable)
   local Sector = RoidTable["Sid"]              -- GetCurrentSectorid()
   local System = math.floor(Sector / 256) +1
   
   local RoidNotes = LoadSystemNotes(PR.SystemPrefix + 10000 + System)
   local SystemData = unspickle(RoidNotes)

   for Cat,Val in pairs (Tbl.Ore) do
      local Table = SystemData[Cat]
      if Table == nil then Table = {} end
      if RoidTable[Cat] ~= nil and RoidTable[Cat] ~= 0 then
         Table[Sector] = "L"            --local data is gospel
      end
      SystemData[Cat] = Table
   end
   
   SystemData["Sys"] = SystemNames[System]
   RoidNotes = spickle(SystemData)
   SaveSystemNotes(RoidNotes,(PR.SystemPrefix + 10000 + System ))

end


