-- Author PaKettle@Ymail.com
-- March 2017


if COLOR == nil then COLOR = {} end
-- iup lua usage -> rgb
COLOR.WHITE = '255 255 255' 
COLOR.RED = '255 000 000' 
COLOR.BLUE = '000 000 255'
COLOR.GREEN = '000 128 000' 
COLOR.RED = '255 000 000' 
COLOR.PURPLE = '128 000 128'
COLOR.GOLD = "255 215 000"
COLOR.TEAL = "000 128 128" 
COLOR.GRAY = '128 128 128' 
COLOR.BLACK = "000 000 000"
COLOR.DGREY = '169 169 169'
COLOR.YELLOW = '255 255 000'
COLOR.STEELBLUE = "070 130 180"
COLOR.ORANGE = '255 165 000'
COLOR.LBLUE = "173 216 230"
COLOR.TAN = '210 180 140'
COLOR.PINK = '255 192 203'
COLOR.FIREBRICK ='178 034 034'

-- for string printting -> hex
COLOR.HEXWHITE = 'ffffff' 
COLOR.HEXRED = 'ff0000' 
COLOR.HEXBLUE = '0000ff'
COLOR.HEXGREEN = '008000' 
COLOR.HEXRED = 'ff0000' 
COLOR.HEXPURPLE = '800080'
COLOR.HEXGOLD = 'ffd700'
COLOR.HEXMAGENTA = "ff00ff"
COLOR.HEXORANGE = "ff6347"
COLOR.HEXLGREY = "a9a9a9"
COLOR.HEXLGRAY = "d3d3d3"
COLOR.HEXDBLUE = "000080"
COLOR.HEXDGOLDENROD = "b8860b"
COLOR.HEXSAND = "fff8dc"    -- aka cornsilk
COLOR.HEXLSKYBLUE = "87cefa"
COLOR.HEXDBLUE = "00008b"

if Tbl == nil then Tbl = {} end

Tbl.SysOwn = { [1] = "S",  [2] = "S",  [3] = "S",  [4] = "I",  [5] = "I",
               [6] = "I",  [7] = "I",  [8] = "I",  [9] = "I",  [10] = "I", 
               [11] = "I", [12] = "I", [13] = "I", [14] = "G", [15] = "U",
               [16] = "G", [17] = "B", [18] = "U", [19] = "U", [20] = "G", 
               [21] = "U", [22] = "G", [23] = "G", [24] = "U", [25] = "G", 
               [26] = "G", [27] = "S", [28] = "S", [29] = "S", [30] = "S", }

Tbl.Ore = { ["He"] = 20,["Pe"] = 18,["De"] = 15,["Ap"] = 14,
            ["Py"] = 12,["La"] = 10,["Xi"] = 8, ["Va"] = 7, 
            ["Fe"] = 5, ["Ca"] = 5, ["Si"] = 5, ["Aq"] = 4 ,
            ["Is"] = 6,}
           
           
Tbl.OreBrev = {["Heliocene"] = "He" ,["Pentric"] = "Pe" ,["Denic"] = "De" ,
               ["Apicene"] = "Ap" ,["Xithricite"] = "Xi" ,["Lanthanic"] = "La" ,
               ["Silicate"] = "Si" ,["Ishik"] = "Is" ,["VanAzek"] = "Va" ,["Ferric"] = "Fe" ,
               ["Carbonic"] = "Ca" ,["Aquean"] = "Aq" ,["Pyronic"] = "Py" ,  } 
               
Tbl.OreColor = { 
["He"] = COLOR.HEXRED ,
["Pe"] = COLOR.HEXGOLD , 
["De"] = COLOR.HEXBLUE ,  
["Ap"] = COLOR.HEXDBLUE ,
["Py"] = COLOR.HEXORANGE ,
["La"] = COLOR.HEXPURPLE , 
["Xi"] = COLOR.HEXGREEN ,
["Va"] = COLOR.HEXDGOLDENROD , 
["Fe"] = COLOR.HEXLGRAY , 
["Ca"] = COLOR.HEXLGREY ,    
["Si"] = COLOR.HEXSAND , 
["Aq"] = COLOR.HEXWHITE ,
["Is"] = COLOR.HEXLSKYBLUE ,
}  -- in rgb hex

Tbl.Scanners = {
['Mineral Scanner'] = 500,
['Improved Mineral Scanner'] = 600,
['Advanced Mineral Scanner'] = 750,
}
               
Tbl.ShipsWithScan = { 
["Behemoth Heavy Miner MkII"] = 1000  ,
["Warthog Mineral Extractor"] = 500,
["TPG Raptor UDV"] = 300

}


