-- author PaKettle@Ymail.com
-- Jan 2018

function PR.RefreshVerseBox()
   --if PR.Display.RoidList == nil then return end

   if PR.Config.DisplaySort == "ByOre" then  PR.GetVerseDataByOre()  end
   if PR.Config.DisplaySort == "BySystem" then PR.GetVerseDataBySystem()  end
   --if PR.Config.DisplaySort == "" then   end
   if PR.Config.DisplaySort == "Missing" then PR.VerseMissing()  end




end


function PR.VerseMissing()
   local mstring = ""
   for index = 1 , 30 do
      local mstring1 = SystemNames[index] .."->"
      local mstring2 = " Total   = " .. (PR.Config.SRT[index] or 0) 
      local mstring3 = " Unknown = " .. (PR.Config.SRU[index] or 0) 
      local mstring4 = " Records = " .. (PR.Config.SRR[index] or 0)
      mstring = mstring1 .. mstring2 .. mstring3  .. mstring4
      PR.DisplayPanel[index] = mstring
      if PR.MaxDisplayRows < index then PR.MaxDisplayRows = index end
   end
   
end


function PR.GetVerseDataBySystem()
   local dioretable = {}   
   for sysid = 1 , 30 do   
      local SystemData = unspickle(LoadSystemNotes(PR.SystemPrefix + 10000 + sysid )) 
      for shortore,cval in pairs (Tbl.OreColor ) do

         if SystemData[shortore] ~= nil or "R" then 
            local ortable = SystemData[shortore]
            --{[sector]  = "L"}
            local oreflag = 0
            for secnum , src in pairs(ortable) do
               if src == "L" then oreflag = 1 end
            end
            if oreflag == 1 then 
               local nstring = dioretable[shortore] or "\127"..COLOR.HEXGOLD
               dioretable[shortore] = nstring ..  " - " .. SystemNames[sysid]  
            end  
         end
      end
   end
   
   local Index = 1
   for longore,shortore in pairs (Tbl.OreBrev) do
      local orestring = dioretable[shortore] .. "\127o"
      PR.DisplayPanel[Index] = longore
      Index = Index + 1
      PR.DisplayPanel[Index] = orestring
      Index = Index + 1
   end
      
   PR.MaxDisplayedRoids = Index    -- or 15?



end


function PR.GetVerseDataByOre()
   local Index = 1
   
   for sysid = 1 , 30 do
      PR.DisplayPanel[Index] = "\127".. COLOR.HEXRED .. SystemNames[sysid]
      Index = Index + 1   
      local orestring = ""
      local SystemData = unspickle(LoadSystemNotes(PR.SystemPrefix + 10000 + sysid )) 
      for shortore,cval in pairs (Tbl.OreColor ) do

         if SystemData[shortore] ~= nil or "R" then 
            local ortable = SystemData[shortore]
            --{[sector]  = "L"}
            local oreflag = 0
            for secnum , src in pairs(ortable) do
               if src == "L" then oreflag = 1 end
            end
            if oreflag == 1 then orestring = orestring .. "\127".. cval .. shortore .. " - " end  
         end
      end
      PR.DisplayPanel[Index] = orestring
      Index = Index + 1
   end
   PR.MaxDisplayedRoids = Index    -- or 15?
end 


